<?php require('casa/setup.casa.php');
include('inc_head.php');
$fechas = DataForms::GET('id');
  if($fechas != 'ver'){
		$fec = explode(";",$fechas);
		$ini = $fec[0];
		$fin = $fec[1];
  }
?>
<style>
th{
    text-align:center;
    background:orange;
    padding:6px 3px;
    color:black;
    border:1px solid black;   
    text-transform:uppercase; 
}    
td{
    border:1px solid #cccccc;
    padding:2px 6px;
}
</style>
<body>
    <?php include('inc_menu.php');?>

    <div class="container-fluid pt-5">
        <div class="container">
            <div class="section-title position-relative text-center mx-auto mb-5 pb-3" style="max-width: 600px;">
                <h1 class="display-4 text-uppercase">REGISTROS</h1>
            </div>
            <div>
            <label>Inicio:</label><input id='txtFechaIni' value='<?php echo $ini; ?>' class="btn btn-primary w-20 py-3" type="date"> 
            <label>Final:</label><input id='txtFechaFin' value='<?php echo $fin; ?>' class="btn btn-primary w-20 py-3" type="date">
            <input id='btnProcesar' class="btn btn-primary w-25 py-3" value="PROCESAR >>" type="button">
                <br><br>
            </div>
            <div class="row gx-5">                
                <div class="col-lg-12 pb-5">
                   <table width='100%'>
                    <tr>
                        <th>N&ordm;</th>
                        <th>Comanda</th>
                        <th>usuario</th>
                        <th>mesa</th>
                        <th>Productos</th>
                        <th>Cantidad</th>
                        <th>Precio <br> Unitario</th>                            
                        <th>Precio <br> Total</th>
                        <th>Fecha</th>
                        <th>Estado</th>
                    </tr>
                    <?php
                    $Comandas = new DB();
                    $Ventas = new DB();
                    $Usuarios = new DB();

                    if($fechas=='ver'){
                        $sqlComandas = "SELECT * FROM ventas_aprobadas
                        ORDER BY aprob_id ASC";
                    }else{
                        $sqlComandas = "SELECT * FROM ventas_aprobadas
                        WHERE aprob_fecha BETWEEN '".$ini." 00:00:00%' AND '".$fin." 23:59:59%' 
                        ORDER BY aprob_id ASC";
                    }

                    $Comandas->dbSQL($sqlComandas);
                    $html='';
                    $i=0;
                    while($Comandas->next()){
                    $i++;
                        $aprob_codigo = $Comandas->dbField('aprob_codigo');
                        $venta_codigo = $Comandas->dbField('venta_codigo');
                        $aprob_usuario = $Comandas->dbField('aprob_usuario');
                        $aprob_fecha = $Comandas->dbField('aprob_fecha');
                        
                        if($fechas=='ver'){
                            $sqlVentas = "SELECT * FROM ventas_ventas ven, ventas_productos prod
                            WHERE ven.ven_codigo = '$venta_codigo'
                            AND ven.prod_codigo = prod.prod_codigo;";
                        }else{
                            $sqlVentas = "SELECT * FROM ventas_ventas ven, ventas_productos prod
                            WHERE ven.ven_codigo = '$venta_codigo'
                            AND ven.prod_codigo = prod.prod_codigo
                            AND venta_fecha BETWEEN '".$ini." 00:00:00%' AND '".$fin." 23:59:59%' ;";                            
                        }

                        $Ventas->dbSQL($sqlVentas);
                        $ListaProductos='';
                        $ListaCantidad='';
                        $ListaPrecioUni='';
                        $ListaPrecioTotal='';
                        $venta_estado='';
                        $Totales = 0;
                        $venta_mesa='';
                        while($Ventas->next()){
                            //productos
                            $prod_codigo = $Ventas->dbField('prod_codigo');
                            $prod_nombre = Caresp($Ventas->dbField('prod_nombre'));
                            $prod_detalles = Caresp($Ventas->dbField('prod_detalles'));
                            $prod_preciounitario = $Ventas->dbField('prod_preciounitario');
                            //ventas
                            $venta_id = $Ventas->dbField('ven_id');
                            $venta_cantidad = $Ventas->dbField('venta_cantidad');
                            $venta_precio = $Ventas->dbField('venta_precio');
                            $venta_preciototal = $Ventas->dbField('venta_preciototal'); 
                            $venta_usuario = $Ventas->dbField('venta_usuario');
                            $venta_mesa = $Ventas->dbField('venta_mesa');   
                            $venta_estado = $Ventas->dbField('venta_estado');   
                            
                            
                            $ListaProductos.= $prod_nombre.'<br>';
                            $ListaCantidad.= $venta_cantidad.'<br>';
                            $ListaPrecioUni.= $prod_preciounitario.'<br>';
                            $ListaPrecioTotal.= $venta_preciototal.'<br>';
                            $Totales = $Totales + $venta_preciototal;
                        }
                        //Usuarios
                        $sqlUsuarios = "SELECT * FROM rol_usuarios 
                        WHERE us_id = '$aprob_usuario';";
                        $Usuarios->dbSQL($sqlUsuarios);
                        $Usuarios->next();
                        $us_nombres = $Usuarios->dbField('us_nombres');
                        $us_apellidos = $Usuarios->dbField('us_apellidos');
                        
                            $UsuarioMesa = $us_nombres.' '.$us_apellidos;

                        $html.='<tr>';
                        $html.='<td align=center>'.$i.'</td>';
                        $html.='<td align=center>'.$venta_codigo.'</td>';
                        $html.='<td align=center>'.$UsuarioMesa.'</td>';
                        $html.='<td align=center>'.$venta_mesa.'</td>';                        
                        
                        $html.='<td align=left>'.$ListaProductos.'</td>'; 
                        $html.='<td align=center>'.$ListaCantidad.'</td>';
                        $html.='<td align=center>'.$ListaPrecioUni.'</td>';
                        $html.='<td align=center>'.$ListaPrecioTotal.'
                            <b>'.$Totales.'</b></td>';
                        $html.='<td align=center>'.$aprob_fecha.'</td>';  
                        $html.='<td align=center>'.$venta_estado.'</td>';                                           
                        $html.='</tr>';
                    }
                    echo $html;
                    ?>
                   </table>
                </div>
            </div>
        </div>
    </div>

<?php include('inc_footer.php');?>    
</body>
</html>
<script>
$('#btnProcesar').click(function(){
	let fecIni = $('#txtFechaIni').val();
	let fecFin = $('#txtFechaFin').val();

    if((fecIni=='')||(fecFin=='')){
        alert('Debe seleccionar fechas');
    }else{
        self.location="<?php echo PATH_HOME.'registros/';?>"+fecIni+';'+fecFin;
    }
});	    
</script>